# $Revision: 1.12 $, $Date: 2008/09/12 15:15:27 $
Summary:	Versatile resource statistics tool
Summary(pl.UTF-8):	Uniwersalne narzędzie do monitorowania użycia zasobów
Name:		dstat
Version:	0.6.8
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://dag.wieers.com/home-made/dstat/%{name}-%{version}.tar.bz2
# Source0-md5:	1db4098e5b0aec3d7acc340f7899cf73
URL:		http://dag.wieers.com/home-made/dstat/
Requires:	python
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dstat is a versatile replacement for vmstat, iostat, netstat, nfsstat
and ifstat. Dstat overcomes some of their limitations and adds some
extra features, more counters and flexibility. Dstat is handy for
monitoring systems during performance tuning tests, benchmarks or
troubleshooting.

Dstat allows you to view all of your system resources instantly, you
can eg. compare disk usage in combination with interrupts from your
IDE controller, or compare the network bandwidth numbers directly with
the disk throughput (in the same interval).

%description -l pl.UTF-8
Dstat jest uniwersalnym zamiennikiem za vmstat, iostat, netstat,
nfsstat oraz ifstat. Dstat omija niektóre z ich ograniczeń i dodaje
nowe funkcjonalności, więcej liczników i elastyczność. Dstat jest
wygodny w monitorowaniu systemów podczas testów, benchmarków lub
rozwiązywania problemów wydajnościowych.

Dstat pozwala oglądać wszystkie zasoby jednocześnie, np. zestawić
użycie dysku ze statystykami przerwań kontrolera IDE, lub porównać
wykorzystanie łącza bezpośrednio z wykorzystaniem dysków (w takim
samym interwale czasowym).

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO docs/*.html docs/*.txt examples/ 
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/dstat


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dstat.spec,v $
Revision 1.12  2008/09/12 15:15:27  adamg
- updated to 0.6.8, dstat.conf dropped

Revision 1.11  2008/08/03 10:40:52  piotrek
- 0.6.7

Revision 1.10  2007/04/28 17:04:56  piotrek
- 0.6.6
- Install manpage as part of the make install phase

Revision 1.9  2007/04/21 16:06:08  piotrek
- 0.6.5
- docs-install

Revision 1.8  2007/03/02 23:51:47  undefine
- R: python-modules

Revision 1.7  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.5  2006/12/13 17:15:19  undefine
- R: python

Revision 1.4  2006/12/13 09:51:59  qboosh
- noarch (python)

Revision 1.3  2006/12/13 09:47:21  piotrek
- experimantal .conf comment added

Revision 1.2  2006/12/13 09:26:51  piotrek
- obsolete dstat.conf in sysconfdir

Revision 1.1  2006/12/13 09:23:15  piotrek
- new 0.6.4
